Bug 1797080 (CVE-2020-2099) - CVE-2020-2099 jenkins: Inbound TCP Agent Protocol/3 authentication bypass
Summary: CVE-2020-2099 jenkins: Inbound TCP Agent Protocol/3 authentication bypass
Keywords:
Status: NEW
Alias: CVE-2020-2099
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1797081 1797143 1797144 1797146 1813070
Blocks: 1797089
TreeView+ depends on / blocked
 
Reported: 2020-01-31 20:59 UTC by Pedro Sampaio
Modified: 2020-07-02 15:31 UTC (History)
16 users (show)

Fixed In Version: jenkins 2.219, jenkins LTS 2.204.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Jenkins. Encryption key parameters are improperly reused in the Inbound TCP Agent Protocol/3 allowing unauthorized attackers with knowledge of agent names to obtain the connection secrets for those agents. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2020-01-31 20:59:32 UTC
Jenkins 2.213 and earlier, LTS 2.204.1 and earlier improperly reuses encryption key parameters in the Inbound TCP Agent Protocol/3, allowing unauthorized attackers with knowledge of agent names to obtain the connection secrets for those agents, which can be used to connect to Jenkins, impersonating those agents.

References:

https://jenkins.io/security/advisory/2020-01-29/#SECURITY-1682
http://www.openwall.com/lists/oss-security/2020/01/29/1

Comment 1 Pedro Sampaio 2020-01-31 20:59:55 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1797081]

Comment 5 Sam Fowler 2020-02-01 02:01:17 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 6 Akram Ben Aissi 2020-03-03 09:07:20 UTC
This bug has been fixed by https://errata.devel.redhat.com/advisory/50532 that brought Jenkins 2.204.2


Note You need to log in before you can comment on or make changes to this bug.